Just Go to Sleep 

Gasan was sitting at the bedside of Tekisui three days before his teacher's passing. Tekisui had already chosen him as his successor. 

A temple recently had burned and Gasan was busy rebuilding the structure. Tekisui asked him: "What are you going to do when you get the temple rebuilt?"

"When your sickness is over we want you to speak there," said Gasan. 

"Suppose I do not live until then?"

"Then we will get someone else," replied Gasan. 

"Suppose you cannot find anyone?" continued Tekisui. 

Gasan answered loudly: "Don't ask such foolish questions. Just go to sleep."
